ChangeSet 1.1002.3.5, 2003/02/20 10:18:21-08:00, baldrick@wanadoo.fr

[PATCH] USB speedtouch: take ref to USB device

udsl_atm_proc_read may be called after USB disconnect.


 drivers/usb/misc/speedtouch.c |    4 ++++
 1 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/misc/speedtouch.c b/drivers/usb/misc/speedtouch.c
--- a/drivers/usb/misc/speedtouch.c	Fri Feb 28 14:51:40 2003
+++ b/drivers/usb/misc/speedtouch.c	Fri Feb 28 14:51:40 2003
@@ -703,6 +703,8 @@
 
 	PDEBUG ("udsl_atm_dev_close: killing tasklet\n");
 	tasklet_kill (&instance->send_tasklet);
+	PDEBUG ("udsl_atm_dev_close: freeing USB device\n");
+	usb_put_dev (instance->usb_dev);
 	PDEBUG ("udsl_atm_dev_close: freeing instance\n");
 	kfree (instance);
 }
@@ -984,6 +986,8 @@
 	instance->atm_dev->dev_data = instance;
 
 	usb_set_intfdata (intf, instance);
+
+	usb_get_dev (dev);
 
 	return 0;
 
